Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  AutoCAD Architecture ACA (ADT)
  Massenelemente

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Massenelemente (284 mal gelesen)
Kenny1
Mitglied



Sehen Sie sich das Profil von Kenny1 an!   Senden Sie eine Private Message an Kenny1  Schreiben Sie einen Gästebucheintrag für Kenny1

Beiträge: 77
Registriert: 29.06.2004

erstellt am: 14. Aug. 2006 16:53    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Leute,
gibt es irgendwie die  Möglichkeit von Massenelemente die Dimensionen auszugeben? Ich arbeite mit ADT 2005 und möchte per LISP an die Dimensionen (L X B X H). Dies ist ja ein äußerst kniffliges Thema. Wenn es sich um normale rechteckige Elemente handelt ist dies ja auch machbar. Wenn sie aber vereinigt, oder per Differenz abgezogen wurden, kommt man mit den normalen GC nicht an die Informationen. Ich glaube, dies ist auch äußerst schwierig bis unmöglich. Was mir ein wenig Hoffnung macht, ist das im ACAD-Eigenschaftsmanager die korrekten Werte angezeigt werden. Dann müßte es doch theoretisch irgendwie ne Möglichkeit geben um an diese Infos ranzukommen.

Gruß Kenny1

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

charlieBV
Ehrenmitglied V.I.P. h.c.
Bauzeichnerin



Sehen Sie sich das Profil von charlieBV an!   Senden Sie eine Private Message an charlieBV  Schreiben Sie einen Gästebucheintrag für charlieBV

Beiträge: 9295
Registriert: 28.08.2003

Win 10 Pro

erstellt am: 14. Aug. 2006 17:08    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Kenny1 10 Unities + Antwort hilfreich

Hallo Kenny,

nur fürs nächste Mal, vielleicht solltest du solche Sachen im Lisp-Forum fragen? Ich weiß, es ist grenzwertig, aber das klingt nach einer Acad-Geschichte, die Inhalte aus dem Eigenschaftsfenster heraus zu bekommen. Ich glaube, die wenigsten hier können Lisp, und die Lispler verirren sich nur selten hierher.

------------------
Gruß Yvonne                                ADT-Help-Site

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

tmoehlenhoff
Moderator
Gutzum, CAD-Therapeut und BIM-Priester ;-)




Sehen Sie sich das Profil von tmoehlenhoff an!   Senden Sie eine Private Message an tmoehlenhoff  Schreiben Sie einen Gästebucheintrag für tmoehlenhoff

Beiträge: 2996
Registriert: 14.10.2002

AutoCAD, AutoCAD Architecture, Revit Architecture, Building Design und Honeymoon Suite und das ganze auch gerne mal auf einem Mac

erstellt am: 14. Aug. 2006 17:48    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Kenny1 10 Unities + Antwort hilfreich

Im Zweifelsfall würde ich es so versuchen
Code:
(vla-getboundingbox
    (vlax-ename->vla-object (car (entsel)))
    'minpt
    'maxpt
)
(setq
  LowLeftPt (vlax-safearray->list minpt)
  UpRightPt (vlax-safearray->list maxpt)
)
(mapcar '- UpRightPt LowLeftPt )

sayonara
Torsten Möhlenhoff
ACAD-Systemhaus Bremen
------------------
Alles wirD guT

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Kenny1
Mitglied



Sehen Sie sich das Profil von Kenny1 an!   Senden Sie eine Private Message an Kenny1  Schreiben Sie einen Gästebucheintrag für Kenny1

Beiträge: 77
Registriert: 29.06.2004

erstellt am: 14. Aug. 2006 22:19    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Torsten,

10 Unities für dich !! Perfekt. Ist ja eigentlich ganz easy...
(wenn man es weiß!)
LG Kenny1

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz